bleachbit

Problémy a zkušenosti s programy, softwarovými nástroji nebo balíčkovacími systémy pro jejich instalaci
Odpovědět
Zpráva
Autor
MISok
Příspěvky: 3
Registrován: 25 srp 2022, 12:27

bleachbit

#1 Příspěvek od MISok »

Zdravím, chtěl bych požádat o radu, případně informace o výsledcích při použití bleachbit. V podrobnostech o čištění se mi vždy objevuje hlášení o složkách war a urs, které nejdou vyčistit, přesněji 'operace zamítnuta'.
Děkuji všem za objasnění, případně nějaké tipy. Mějte se parádně. Michal

Např.:

Chyba: apt.autoclean: Function: apt-get autoclean
Traceback (most recent call last):
File "/usr/share/bleachbit/bleachbit/Unix.py", line 631, in apt_autoclean
return run_cleaner_cmd('apt-get', ['autoclean'], r'^Del .*\[([\d.]+[a-zA-Z]{2})}]', ['^E: '])
File "/usr/share/bleachbit/bleachbit/Unix.py", line 591, in run_cleaner_cmd
output = subprocess.check_output([cmd] + args, stderr=subprocess.STDOUT,
File "/usr/lib/python3.8/subprocess.py", line 415, in check_output
return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
File "/usr/lib/python3.8/subprocess.py", line 516, in run
raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['apt-get', 'autoclean']' returned non-zero exit status 100.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/bleachbit/bleachbit/Worker.py", line 87, in execute
for ret in cmd.execute(self.really_delete):
File "/usr/share/bleachbit/bleachbit/Command.py", line 142, in execute
func_ret = self.func()
File "/usr/share/bleachbit/bleachbit/Unix.py", line 633, in apt_autoclean
raise RuntimeError("Error calling '%s':\n%s" %
RuntimeError: Error calling 'apt-get autoclean':
E: Could not open lock file /var/cache/apt/archives/lock - open (13: Permission denied)
E: Unable to lock the download directory

Chyba: apt.autoremove: Function: apt-get autoremove
Traceback (most recent call last):
File "/usr/share/bleachbit/bleachbit/Unix.py", line 622, in apt_autoremove
return run_cleaner_cmd('apt-get', args, freed_space_regex, ['^E: '])
File "/usr/share/bleachbit/bleachbit/Unix.py", line 591, in run_cleaner_cmd
output = subprocess.check_output([cmd] + args, stderr=subprocess.STDOUT,
File "/usr/lib/python3.8/subprocess.py", line 415, in check_output
return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
File "/usr/lib/python3.8/subprocess.py", line 516, in run
raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['apt-get', '--yes', 'autoremove']' returned non-zero exit status 100.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/bleachbit/bleachbit/Worker.py", line 87, in execute
for ret in cmd.execute(self.really_delete):
File "/usr/share/bleachbit/bleachbit/Command.py", line 142, in execute
func_ret = self.func()
File "/usr/share/bleachbit/bleachbit/Unix.py", line 624, in apt_autoremove
raise RuntimeError("Error calling '%s':\n%s" %
RuntimeError: Error calling 'apt-get --yes autoremove':
E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13: Permission denied)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?

Chyba: apt.clean: Function: apt-get clean
Traceback (most recent call last):
File "/usr/share/bleachbit/bleachbit/Unix.py", line 641, in apt_clean
run_cleaner_cmd('apt-get', ['clean'], '^unused regex$', ['^E: '])
File "/usr/share/bleachbit/bleachbit/Unix.py", line 591, in run_cleaner_cmd
output = subprocess.check_output([cmd] + args, stderr=subprocess.STDOUT,
File "/usr/lib/python3.8/subprocess.py", line 415, in check_output
return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
File "/usr/lib/python3.8/subprocess.py", line 516, in run
raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['apt-get', 'clean']' returned non-zero exit status 100.

During handling of the above exception, another exception occurred:[Errno 13] Operace zamítnuta: '/var/log/boot.log.1': Command to delete /var/log/boot.log.1
[Errno 13] Operace zamítnuta: '/var/log/dmesg.0': Command to delete /var/log/dmesg.0
[Errno 13] Operace zamítnuta: '/var/log/alternatives.log.1': Command to delete /var/log/alternatives.log.1
[Errno 13] Operace zamítnuta: '/var/log/kern.log.1': Command to delete /var/log/kern.log.1
[Errno 13] Operace zamítnuta: '/var/log/dpkg.log.1': Command to delete /var/log/dpkg.log.1
[Errno 13] Operace zamítnuta: '/var/log/btmp.1': Command to delete /var/log/btmp.1
[Errno 13] Operace zamítnuta: '/var/log/boot.log.6': Command to delete /var/log/boot.log.6
[Errno 13] Operace zamítnuta: '/var/log/boot.log.5': Command to delete /var/log/boot.log.5
[Errno 13] Operace zamítnuta: '/var/log/syslog.1': Command to delete /var/log/syslog.1

[Errno 13] Operace zamítnuta: '/usr/share/man/it/man1/chfn.1.gz': Command to delete /usr/share/man/it/man1/chfn.1.gz
[Errno 13] Operace zamítnuta: '/usr/share/man/it/man5/sources.list.5.gz': Command to delete /usr/share/man/it/man5/sources.list.5.gz
[Errno 13] Operace zamítnuta: '/usr/share/man/it/man5/apt_preferences.5.gz': Command to delete /usr/share/man/it/man5/apt_preferences.5.gz
[Errno 13] Operace zamítnuta: '/usr/share/man/it/man5/deb-override.5.gz': Command to delete /usr/share/man/it/man5/deb-override.5.gz
[Errno 13] Operace zamítnuta: '/usr/share/man/it/man5/passwd.5.gz': Command to delete /usr/share/man/it/man5/passwd.5.gz
[Errno 13] Operace zamítnuta: '/usr/share/man/it/man5/manpath.5.gz': Command to delete /usr/share/man/it/man5/manpath.5.gz
[Errno 13] Operace zamítnuta: '/usr/share/man/it/man5/login.defs.5.gz': Command to delete /usr/share/man/it/man5/login.defs.5.gz
[Errno 13] Operace zamítnuta: '/usr/share/man/it/man5/shadow.5.gz': Command to delete /usr/share/man/it/man5/shadow.5.gz
[Errno 13] Operace zamítnuta: '/usr/share/man/it/man5/adduser.conf.5.gz': Command to delete /usr/share/man/it/man5/adduser.conf.5.gz

Odpovědět